Bug 833531 - The arrow glyphs for <menuitem> entries are boned in the PDF output.
The arrow glyphs for <menuitem> entries are boned in the PDF output.
Status: CLOSED WONTFIX
Product: oVirt
Classification: Community
Component: doc-Installation-Guide (Show other bugs)
3.0 GA
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.4.0
Assigned To: Stephen Gordon
doc
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-19 12:59 EDT by Stephen Gordon
Modified: 2014-01-15 10:47 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-15 10:47:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Gordon 2012-06-19 12:59:11 EDT
Description of problem:

The arrow glyphs for <menuitem> entries are boned in the PDF output, not 100% clear whether this is:

1) a font issue on the machines we are using to read it; or
2) a font issue on the machine used to build the pdf (my laptop); or
3) an issue with the PDF generation mechanism (it is possible when I built the PDF it was not with fop).

Assuming one of the 2 or 3 is the case then the easiest solution is probably to produce the next published build via internal brew and/or get the jenkins machine set up with the correct deps (the aim would be to have a build environment similar to that provided by brew, but external so other contributors can see and use it).

Additional info:

<jclift> sgordon: With the oVirt install guide (3.0 version), noticing there are square symbols instead of chars sometimes.  i.e. pg 67, right under where it says "To add network to hosts".  Any idea if that's a problem with fonts not being installed when the pdf is being created, or is it my system missing fonts to view it?
* rgolan1 has quit (Quit: Leaving.)
* tvvcox has quit (Ping timeout: 480 seconds)
* alourie has quit (Ping timeout: 480 seconds)
<sgordon> jclift, i see the same behavior but it does look like a font issue, though maybe on the build machine
<sgordon> it is those glyphs for menuitems
<sgordon> that look like an arrow -->
<jclift> Yeah, I was suspecting that would be the case.
<jclift> You up for creating a BZ about it?
* wdeheiden (~wdh@212.123.147.27) has left #ovirt
<sgordon> i guess so, tbh i think that it will just go away if i pump it via brew as a scratch build next time i publish
<jclift> :)
<sgordon> there is an outside chance i built it on a machine that uses the new backend for pdf generation though
<sgordon> so best track it in case i need to forward it on (that will be the default in publican 3)
Comment 1 Stephen Gordon 2012-06-19 13:04:23 EDT
Opening the PDF for the RHEV version of the guide [1] on the same machine the glyphs render correctly, so would assume this is indeed an issue with the environment the oVirt one was built in.

[1] http://docs.redhat.com/docs/en-US/Red_Hat_Enterprise_Virtualization/3.0/pdf/Installation_Guide/Red_Hat_Enterprise_Virtualization-3.0-Installation_Guide-en-US.pdf
Comment 2 Itamar Heim 2014-01-12 03:41:38 EST
setting target release to current version for consideration and review. please do not push non-RFE bugs to an undefined target release to make sure bugs are reviewed for relevancy, fix, closure, etc.

Note You need to log in before you can comment on or make changes to this bug.